export interface MessageQueueOptions<T> {
    send: (e: T) => void;
    isReady: () => boolean;
    flushTimeout?: number;
}
export declare class MessageQueue<T extends any> {
    private _queue;
    private _flushing;
    private _send;
    private _isReady;
    private _flushTimeout;
    constructor(options: MessageQueueOptions<T>);
    private _ready;
    get ready(): boolean;
    flush(): void;
    getQueue(): T[];
    private _flush;
    push(data: T): void;
    clear(): void;
    dispose(): void;
    get length(): number;
    scheduled: ReturnType<typeof setTimeout> | undefined;
    scheduleFlush(): void;
}
